diff --git a/src/layout/tab.vue b/src/layout/tab.vue
index b407d20..33c673d 100644
--- a/src/layout/tab.vue
+++ b/src/layout/tab.vue
@@ -1686,10 +2030,12 @@ const confirmImportOverride = async () => {
   const payload = pendingImportPayload.value
   if (!payload) return
   try {
-    writeWebStorage(localStorage, normalizeEntries(payload.localStorage))
-    writeWebStorage(sessionStorage, normalizeEntries(payload.sessionStorage))
-    await writeForage(localforage, normalizeEntries(payload.localforageDefault))
-    const piniaSnapshots = normalizeForageStoreSnapshots(payload.localforageStores)
+    const normalizedStorage = normalizeDataPackageStorage(payload)
+    const normalizedWorkspace = normalizeDataPackageWorkspace(payload)
+    writeWebStorage(localStorage, normalizedStorage.localStorage)
+    writeWebStorage(sessionStorage, normalizedStorage.sessionStorage)
+    await writeForage(localforage, normalizedStorage.localforageDefault)
+    const piniaSnapshots = normalizeForageStoreSnapshots(normalizedStorage.localforageStores)
     const snapshotMap = new Map(piniaSnapshots.map(item => [item.storeName, item.entries]))
     await Promise.all(
       getPiniaPersistStores().map(async ({ storeName, store }) => {
@@ -1714,6 +2060,7 @@ const confirmImportOverride = async () => {
     } else {
       tabStore.resetTabs()
     }
+    normalizeTabStoreState()
 
     const zxFwPricingState = readPersistedState('zxFwPricing')
     if (zxFwPricingState) {
@@ -1730,6 +2077,7 @@ const confirmImportOverride = async () => {
       zxFwPricingStore.$persistNow?.(),
       kvStore.$persistNow?.()
     ])
+    writeWorkspaceMode(normalizedWorkspace.mode)
     dataMenuOpen.value = false
     window.location.reload()
   } catch (error) {
@@ -1761,8 +2109,10 @@ const handleReset = async () => {
 }
 
 onMounted(() => {
+  normalizeTabStoreState()
   window.addEventListener('mousedown', handleGlobalMouseDown)
   window.addEventListener('keydown', handleGlobalKeyDown)
+  window.addEventListener('home-import-selected', handleHomeImportSelected as EventListener)
   window.addEventListener('resize', scheduleUpdateTabTitleOverflow)
   void nextTick(() => {
     bindTabStripScroll()
@@ -1782,6 +2132,7 @@ onBeforeUnmount(() => {
   clearReportExportToastTimer()
   window.removeEventListener('mousedown', handleGlobalMouseDown)
   window.removeEventListener('keydown', handleGlobalKeyDown)
+  window.removeEventListener('home-import-selected', handleHomeImportSelected as EventListener)
   window.removeEventListener('resize', scheduleUpdateTabTitleOverflow)
   if (tabStripViewportEl) {
     tabStripViewportEl.removeEventListener('scroll', handleTabStripScroll)
@@ -1834,8 +2185,15 @@ watch(
   <ToastProvider>
   <TooltipProvider>
     <div class="flex flex-col w-full h-screen bg-background overflow-hidden">
-      <div class="grid grid-cols-[minmax(0,1fr)_auto] items-start gap-2 border-b bg-muted/30 px-2 pt-1 h-15 flex-none">
-        <div class="flex min-w-0 items-start gap-1 h-full" @mouseenter="isTabStripHover = true"
+      <div
+        v-if="!isHomeOnlyView"
+        class="grid items-start gap-2 border-b bg-muted/30 px-2 pt-1 h-15 flex-none"
+        :class="showTabStrip ? 'grid-cols-[minmax(0,1fr)_auto]' : 'grid-cols-[1fr_auto]'"
+      >
+        <div
+          v-if="showTabStrip"
+          class="flex min-w-0 items-start gap-1 h-full"
+          @mouseenter="isTabStripHover = true"
           @mouseleave="isTabStripHover = false">
           <button type="button" :class="[
             'h-9 w-8  self-center  shrink-0 cursor-pointer rounded border bg-background text-sm text-muted-foreground transition hover:bg-muted',
@@ -1857,7 +2215,7 @@ watch(
                     tabStore.activeTabId === tab.id && !isTabDragging
                       ? 'z-10 bg-background text-foreground !border-border !border-b-0 font-medium'
                       : 'bg-muted/25 text-muted-foreground hover:bg-muted/40 hover:text-foreground hover:border-border/70',
-                    tab.id !== 'XmView' ? 'cursor-move' : ''
+                    isTabClosable(tab.id) ? 'cursor-move' : ''
                   ]">
                   <TooltipRoot>
                     <TooltipTrigger as-child>
@@ -1868,7 +2226,7 @@ watch(
                     <TooltipContent v-if="tabTitleOverflowMap[tab.id]" side="bottom">{{ tab.title }}</TooltipContent>
                   </TooltipRoot>
 
-                  <Button v-if="tab.id !== 'XmView'" variant="ghost" size="icon"
+                  <Button v-if="isTabClosable(tab.id)" variant="ghost" size="icon"
                     class="h-4 w-4 ml-auto opacity-0 group-hover:opacity-100 hover:bg-destructive hover:text-destructive-foreground transition-opacity"
                     @click.stop="tabStore.removeTab(tab.id)">
                     <X class="h-3 w-3" />
@@ -1885,14 +2243,18 @@ watch(
           </button>
         </div>
         <div class="flex shrink-0 self-center items-center gap-1">
-          <div ref="dataMenuRef" class="relative shrink-0">
-            <Button variant="outline" size="sm"
+          <div v-if="showWorkspaceActions" ref="dataMenuRef" class="relative shrink-0">
+            <Button
+              variant="outline"
+              size="sm"
               class="h-9 min-h-9 shrink-0 px-3 py-0 text-sm leading-none cursor-pointer"
-              @click="dataMenuOpen = !dataMenuOpen">
+              @click="dataMenuOpen = !dataMenuOpen"
+            >
               <ChevronDown class="h-4 w-4 mr-1" />
               导入/导出
             </Button>
-            <div v-if="dataMenuOpen"
+            <div
+              v-if="dataMenuOpen"
               class="absolute right-0 top-full mt-1 z-50  rounded-md border bg-background p-1 shadow-md">
               <button class="w-full cursor-pointer rounded px-3 py-1.5 text-left text-sm hover:bg-muted"
                 @click="triggerImport">
@@ -1907,16 +2269,22 @@ watch(
                 导出报表
               </button>
             </div>
-            <input ref="importFileRef" type="file" accept=".zw" class="hidden" @change="importData" />
           </div>
 
-          <Button variant="outline" size="sm" class="h-9 min-h-9 shrink-0 px-3 py-0 text-sm leading-none cursor-pointer"
-            @click="openUserGuide(0)">
+          <input ref="importFileRef" type="file" accept=".zw" class="hidden" @change="importData" />
+
+          <Button
+            v-if="showWorkspaceActions"
+            variant="outline"
+            size="sm"
+            class="h-9 min-h-9 shrink-0 px-3 py-0 text-sm leading-none cursor-pointer"
+            @click="openUserGuide(0)"
+          >
             <CircleHelp class="h-4 w-4 mr-1" />
             使用引导
           </Button>
 
-          <AlertDialogRoot>
+          <AlertDialogRoot v-if="showWorkspaceActions">
             <AlertDialogTrigger as-child>
               <Button variant="destructive" size="sm"
                 class="h-9 min-h-9 shrink-0 px-3 py-0 text-sm leading-none cursor-pointer">
diff --git a/src/layout/typeLine.vue b/src/layout/typeLine.vue
index 68039a4..65687b7 100644
--- a/src/layout/typeLine.vue
+++ b/src/layout/typeLine.vue
@@ -25,6 +25,7 @@ const props = withDefaults(
     scene?: string
     title?: string
     subtitle?: string
+    metaText?: string
     copyText?: string
     categories: TypeLineCategory[]
     storageKey?: string
@@ -34,6 +35,7 @@ const props = withDefaults(
     scene: 'default',
     title: '配置',
     subtitle: '',
+    metaText: '',
     copyText: '',
     storageKey: '',
     defaultCategory: ''
@@ -201,7 +203,7 @@ useMotionValueEvent(
   <TooltipProvider>
   <div class="flex h-full w-full bg-background">
     <div class="w-12/100 border-r p-2 flex flex-col gap-8 relative">
-      <div v-if="props.title || props.subtitle" class="space-y-1">
+      <div v-if="props.title || props.subtitle || props.metaText" class="space-y-1">
         <TooltipRoot>
           <TooltipTrigger as-child>
             <div v-if="props.title" ref="titleRef" class="title-ellipsis-2 max-w-full font-bold text-base leading-6 text-primary">
@@ -224,6 +226,9 @@ useMotionValueEvent(
             {{ copyBtnText }}
           </Button>
         </div>
+        <div v-if="props.metaText" class="text-xs leading-5 text-muted-foreground">
+          {{ props.metaText }}
+        </div>
       </div>
 
       <div class="flex flex-col gap-10 relative">
diff --git a/src/lib/projectWorkspace.ts b/src/lib/projectWorkspace.ts
new file mode 100644
index 0000000..dd2d2ab
--- /dev/null
+++ b/src/lib/projectWorkspace.ts
@@ -0,0 +1,112 @@
+import {
+  getIndustryTypeValue,
+  getMajorDictEntries,
+  getServiceDictEntries,
+  isIndustryEnabledByType,
+  isMajorIdInIndustryScope
+} from '@/sql'
+
+interface KvStoreLike {
+  setItem: <T = unknown>(keyRaw: string | number, value: T) => Promise<void>
+}
+
+type DictItemLite = {
+  code?: string
+  name?: string
+  defCoe?: number | null
+  notshowByzxflxs?: boolean
+}
+
+type FactorPersistRow = {
+  id: string
+  code: string
+  name: string
+  standardFactor: number | null
+  budgetValue: number | null
+  remark: string
+  path: string[]
+}
+
+type FactorPersistState = {
+  detailRows: FactorPersistRow[]
+}
+
+const buildCodePath = (code: string, selfId: string, codeIdMap: Map<string, string>) => {
+  const parts = code.split('-').filter(Boolean)
+  if (!parts.length) return [selfId]
+
+  const path: string[] = []
+  let currentCode = parts[0]
+  const firstId = codeIdMap.get(currentCode)
+  if (firstId) path.push(firstId)
+
+  for (let index = 1; index < parts.length; index += 1) {
+    currentCode = `${currentCode}-${parts[index]}`
+    const id = codeIdMap.get(currentCode)
+    if (id) path.push(id)
+  }
+
+  if (!path.length || path[path.length - 1] !== selfId) path.push(selfId)
+  return path
+}
+
+const buildFactorRowsFromEntries = (entries: Array<{ id: string; item: DictItemLite }>): FactorPersistRow[] => {
+  const codeIdMap = new Map<string, string>()
+  for (const entry of entries) {
+    const code = String(entry.item?.code || '').trim()
+    if (!code) continue
+    codeIdMap.set(code, entry.id)
+  }
+
+  return entries
+    .map(entry => {
+      const code = String(entry.item?.code || '').trim()
+      const name = String(entry.item?.name || '').trim()
+      if (!code || !name) return null
+      const standardFactor =
+        typeof entry.item?.defCoe === 'number' && Number.isFinite(entry.item.defCoe)
+          ? entry.item.defCoe
+          : null
+      return {
+        id: entry.id,
+        code,
+        name,
+        standardFactor,
+        budgetValue: standardFactor,
+        remark: '',
+        path: buildCodePath(code, entry.id, codeIdMap)
+      }
+    })
+    .filter((item): item is FactorPersistRow => Boolean(item))
+}
+
+export const initializeProjectFactorStates = async (
+  kvStore: KvStoreLike,
+  industry: string,
+  consultCategoryFactorKey: string,
+  majorFactorKey: string
+) => {
+  const industryType = getIndustryTypeValue(industry)
+  const consultEntries = getServiceDictEntries()
+    .map(({ id, item }) => ({ id, item: item as DictItemLite }))
+    .filter(({ item }) => {
+      if (item.notshowByzxflxs === true) return false
+      return isIndustryEnabledByType(item as Record<string, unknown>, industryType)
+    })
+
+  const majorEntries = getMajorDictEntries()
+    .map(({ id, item }) => ({ id, item: item as DictItemLite }))
+    .filter(({ id, item }) => item.notshowByzxflxs !== true && isMajorIdInIndustryScope(id, industry))
+
+  const consultPayload: FactorPersistState = {
+    detailRows: buildFactorRowsFromEntries(consultEntries)
+  }
+  const majorPayload: FactorPersistState = {
+    detailRows: buildFactorRowsFromEntries(majorEntries)
+  }
+
+  await Promise.all([
+    kvStore.setItem(consultCategoryFactorKey, consultPayload),
+    kvStore.setItem(majorFactorKey, majorPayload)
+  ])
+}
diff --git a/src/lib/workspace.ts b/src/lib/workspace.ts
new file mode 100644
index 0000000..e83419d
--- /dev/null
+++ b/src/lib/workspace.ts
@@ -0,0 +1,52 @@
+export type WorkspaceMode = 'home' | 'project' | 'quick'
+
+export const HOME_TAB_ID = 'HomeView'
+export const PROJECT_TAB_ID = 'ProjectCalcView'
+export const QUICK_TAB_ID = 'QuickCalcView'
+export const LEGACY_PROJECT_TAB_ID = 'XmView'
+export const FIXED_WORKSPACE_TAB_IDS = [PROJECT_TAB_ID, QUICK_TAB_ID] as const
+
+export const WORKSPACE_MODE_STORAGE_KEY = 'jgjs-workspace-mode-v1'
+
+export const QUICK_CONTRACT_ID = 'quick-contract-default'
+export const QUICK_CONTRACT_META_KEY = 'quick-contract-meta-v1'
+export const QUICK_CONTRACT_FALLBACK_NAME = '快速计算合同'
+export const QUICK_CONTRACT_TAB_ID = `contract-${QUICK_CONTRACT_ID}`
+
+export const QUICK_PROJECT_INFO_KEY = 'quick-xm-base-info-v1'
+export const QUICK_PROJECT_SCALE_KEY = 'quick-xm-info-v3'
+export const QUICK_CONSULT_CATEGORY_FACTOR_KEY = 'quick-xm-consult-category-factor-v1'
+export const QUICK_MAJOR_FACTOR_KEY = 'quick-xm-major-factor-v1'
+
+export interface QuickContractMeta {
+  id: string
+  name: string
+  updatedAt: string
+}
+
+export const normalizeWorkspaceMode = (value: unknown): WorkspaceMode => {
+  if (value === 'project' || value === 'quick' || value === 'home') return value
+  return 'home'
+}
+
+export const readWorkspaceMode = (): WorkspaceMode => {
+  try {
+    return normalizeWorkspaceMode(window.localStorage.getItem(WORKSPACE_MODE_STORAGE_KEY))
+  } catch {
+    return 'home'
+  }
+}
+
+export const writeWorkspaceMode = (mode: WorkspaceMode) => {
+  try {
+    window.localStorage.setItem(WORKSPACE_MODE_STORAGE_KEY, normalizeWorkspaceMode(mode))
+  } catch {
+    // 忽略只读或隐私模式下的写入失败。
+  }
+}
+
+export const createDefaultQuickContractMeta = (): QuickContractMeta => ({
+  id: QUICK_CONTRACT_ID,
+  name: QUICK_CONTRACT_FALLBACK_NAME,
+  updatedAt: new Date().toISOString()
+})
diff --git a/src/pinia/Plugin/indexdb.ts b/src/pinia/Plugin/indexdb.ts
index 6cfa828..9ac40dd 100644
--- a/src/pinia/Plugin/indexdb.ts
+++ b/src/pinia/Plugin/indexdb.ts
@@ -123,18 +123,19 @@ export default (config?: PiniaStorageConfig) => {
       { detached: true }
     )
 
+    hydrating = true
     void lf.getItem<Record<string, unknown>>(key)
       .then(state => {
         if (!state || typeof state !== 'object') return
         // 若在异步hydrate返回前，store已被用户修改（如removeTab），不再回填旧缓存覆盖当前状态。
         if (userMutatedBeforeHydrate) return
-        hydrating = true
         context.store.$patch(state as any)
-        hydrating = false
       })
       .catch(error => {
-        hydrating = false
         console.error('pinia hydrate failed:', error)
       })
+      .finally(() => {
+        hydrating = false
+      })
   }
 }
diff --git a/src/pinia/tab.ts b/src/pinia/tab.ts
index 71e350f..a66f9b3 100644
--- a/src/pinia/tab.ts
+++ b/src/pinia/tab.ts
@@ -1,5 +1,6 @@
 import { defineStore } from 'pinia'
 import { ref } from 'vue'
+import { HOME_TAB_ID, PROJECT_TAB_ID, QUICK_CONTRACT_TAB_ID } from '@/lib/workspace'
 
 export interface TabItem<TProps = Record<string, unknown>> {
   id: string
@@ -8,14 +9,14 @@ export interface TabItem<TProps = Record<string, unknown>> {
   props?: TProps
 }
 
-const HOME_TAB_ID = 'XmView'
 const DEFAULT_TAB: TabItem = {
   id: HOME_TAB_ID,
-  title: '项目卡片',
+  title: '首页',
   componentName: HOME_TAB_ID
 }
 
 const createDefaultTabs = (): TabItem[] => [{ ...DEFAULT_TAB }]
+const PROTECTED_TAB_ID_SET = new Set<string>([HOME_TAB_ID, QUICK_CONTRACT_TAB_ID])
 
 export const useTabStore = defineStore(
   'tabs',
@@ -36,6 +37,11 @@ export const useTabStore = defineStore(
       }
     }
 
+    const enterWorkspace = (config: TabItem) => {
+      tabs.value = [{ ...config }]
+      activeTabId.value = config.id
+    }
+
     const openTab = (config: TabItem) => {
       if (!tabs.value.some(tab => tab.id === config.id)) {
         tabs.value = [...tabs.value, config]
@@ -44,8 +50,7 @@ export const useTabStore = defineStore(
     }
 
     const removeTab = (id: string) => {
-      // 首页标签固定保留，不允许关闭。
-      if (id === HOME_TAB_ID) return
+      if (PROTECTED_TAB_ID_SET.has(id)) return
 
       const index = tabs.value.findIndex(tab => tab.id === id)
       if (index < 0) return
@@ -64,26 +69,27 @@ export const useTabStore = defineStore(
     }
 
     const closeAllTabs = () => {
-      tabs.value = createDefaultTabs()
-      activeTabId.value = HOME_TAB_ID
+      const protectedTabs = tabs.value.filter(tab => PROTECTED_TAB_ID_SET.has(tab.id))
+      tabs.value = protectedTabs.length > 0 ? protectedTabs : createDefaultTabs()
+      activeTabId.value = tabs.value[0]?.id ?? HOME_TAB_ID
     }
 
     const closeLeftTabs = (targetId: string) => {
       const targetIndex = tabs.value.findIndex(tab => tab.id === targetId)
       if (targetIndex < 0) return
-      tabs.value = tabs.value.filter((tab, index) => tab.id === HOME_TAB_ID || index >= targetIndex)
+      tabs.value = tabs.value.filter((tab, index) => PROTECTED_TAB_ID_SET.has(tab.id) || index >= targetIndex)
       ensureActiveValid()
     }
 
     const closeRightTabs = (targetId: string) => {
       const targetIndex = tabs.value.findIndex(tab => tab.id === targetId)
       if (targetIndex < 0) return
-      tabs.value = tabs.value.filter((tab, index) => tab.id === HOME_TAB_ID || index <= targetIndex)
+      tabs.value = tabs.value.filter((tab, index) => PROTECTED_TAB_ID_SET.has(tab.id) || index <= targetIndex)
       ensureActiveValid()
     }
 
     const closeOtherTabs = (targetId: string) => {
-      tabs.value = tabs.value.filter(tab => tab.id === HOME_TAB_ID || tab.id === targetId)
+      tabs.value = tabs.value.filter(tab => PROTECTED_TAB_ID_SET.has(tab.id) || tab.id === targetId)
       ensureHomeTab()
       activeTabId.value = tabs.value.some(tab => tab.id === targetId) ? targetId : HOME_TAB_ID
     }
@@ -96,6 +102,7 @@ export const useTabStore = defineStore(
     return {
       tabs,
       activeTabId,
+      enterWorkspace,
       openTab,
       removeTab,
       closeAllTabs,
diff --git a/src/pinia/zxFwPricing.ts b/src/pinia/zxFwPricing.ts
index 1b1f97d..bc255b9 100644
--- a/src/pinia/zxFwPricing.ts
+++ b/src/pinia/zxFwPricing.ts
@@ -328,6 +328,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return state[method] || null
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取咨询服务计价方法状态
+   * @returns {*}
+   */
   const getServicePricingMethodState = <TRow = unknown>(
     contractIdRaw: string | number,
     serviceIdRaw: string | number,
@@ -339,6 +346,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return (servicePricingStates.value[contractId]?.[serviceId]?.[method] as ServicePricingMethodState<TRow> | undefined) || null
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 设置咨询服务计价方法状态并同步版本
+   * @returns {*}
+   */
   const setServicePricingMethodState = <TRow = unknown>(
     contractIdRaw: string | number,
     serviceIdRaw: string | number,
@@ -379,6 +393,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 从缓存或持久化存储加载咨询服务计价方法状态
+   * @returns {*}
+   */
   const loadServicePricingMethodState = async <TRow = unknown>(
     contractIdRaw: string | number,
     serviceIdRaw: string | number,
@@ -404,6 +425,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return getServicePricingMethodState<TRow>(contractId, serviceId, method)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 删除单个咨询服务计价方法状态
+   * @returns {*}
+   */
   const removeServicePricingMethodState = (
     contractIdRaw: string | number,
     serviceIdRaw: string | number,
@@ -422,6 +450,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return had
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取单个咨询服务计价方法存储键
+   * @returns {*}
+   */
   const getServicePricingStorageKey = (
     contractIdRaw: string | number,
     serviceIdRaw: string | number,
@@ -433,6 +468,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return serviceMethodDbKeyOf(contractId, serviceId, method)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取咨询服务全部计价方法存储键
+   * @returns {*}
+   */
   const getServicePricingStorageKeys = (contractIdRaw: string | number, serviceIdRaw: string | number) => {
     const contractId = toKey(contractIdRaw)
     const serviceId = toServiceKey(serviceIdRaw)
@@ -442,6 +484,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     )
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 删除咨询服务全部计价方法状态
+   * @returns {*}
+   */
   const removeAllServicePricingMethodStates = (contractIdRaw: string | number, serviceIdRaw: string | number) => {
     let changed = false
     for (const method of Object.keys(METHOD_STORAGE_PREFIX_MAP) as ServicePricingMethod[]) {
@@ -450,12 +499,26 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return changed
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取合同附加费用主表状态
+   * @returns {*}
+   */
   const getHtFeeMainState = <TRow = unknown>(mainStorageKeyRaw: string | number): HtFeeMainState<TRow> | null => {
     const mainStorageKey = toKey(mainStorageKeyRaw)
     if (!mainStorageKey) return null
     return (htFeeMainStates.value[mainStorageKey] as HtFeeMainState<TRow> | undefined) || null
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 设置合同附加费用主表状态并同步版本
+   * @returns {*}
+   */
   const setHtFeeMainState = <TRow = unknown>(
     mainStorageKeyRaw: string | number,
     payload: Partial<HtFeeMainState<TRow>> | null | undefined,
@@ -494,10 +557,18 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 从缓存或持久化存储加载合同附加费用主表状态
+   * @returns {*}
+   */
   const loadHtFeeMainState = async <TRow = unknown>(
     mainStorageKeyRaw: string | number,
     force = false
   ): Promise<HtFeeMainState<TRow> | null> => {
+    
     const mainStorageKey = toKey(mainStorageKeyRaw)
     if (!mainStorageKey) return null
     if (!force) {
@@ -513,6 +584,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return getHtFeeMainState<TRow>(mainStorageKey)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 删除合同附加费用主表状态
+   * @returns {*}
+   */
   const removeHtFeeMainState = (mainStorageKeyRaw: string | number) =>
     setHtFeeMainState(mainStorageKeyRaw, null)
 
@@ -529,6 +607,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return htFeeMethodStates.value[mainStorageKey][rowId]
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取合同附加费用子方法存储键
+   * @returns {*}
+   */
   const getHtFeeMethodStorageKey = (
     mainStorageKeyRaw: string | number,
     rowIdRaw: string | number,
@@ -540,6 +625,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return `${mainStorageKey}-${rowId}-${method}`
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取合同附加费用子方法状态
+   * @returns {*}
+   */
   const getHtFeeMethodState = <TPayload = HtFeeMethodPayload>(
     mainStorageKeyRaw: string | number,
     rowIdRaw: string | number,
@@ -552,6 +644,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return value == null ? null : (cloneAny(value) as TPayload)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 设置合同附加费用子方法状态并同步版本
+   * @returns {*}
+   */
   const setHtFeeMethodState = <TPayload = HtFeeMethodPayload>(
     mainStorageKeyRaw: string | number,
     rowIdRaw: string | number,
@@ -564,6 +663,7 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
   ) => {
     const mainStorageKey = toKey(mainStorageKeyRaw)
     const rowId = toKey(rowIdRaw)
+    
     if (!mainStorageKey || !rowId) return false
     const storageKey = getHtFeeMethodStorageKey(mainStorageKey, rowId, method)
     if (!storageKey) return false
@@ -605,6 +705,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 从缓存或持久化存储加载合同附加费用子方法状态
+   * @returns {*}
+   */
   const loadHtFeeMethodState = async <TPayload = HtFeeMethodPayload>(
     mainStorageKeyRaw: string | number,
     rowIdRaw: string | number,
@@ -628,12 +735,26 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return getHtFeeMethodState<TPayload>(mainStorageKey, rowId, method)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 删除合同附加费用子方法状态
+   * @returns {*}
+   */
   const removeHtFeeMethodState = (
     mainStorageKeyRaw: string | number,
     rowIdRaw: string | number,
     method: HtFeeMethodType
   ) => setHtFeeMethodState(mainStorageKeyRaw, rowIdRaw, method, null)
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 按通用键获取状态
+   * @returns {*}
+   */
   const getKeyState = <T = unknown>(keyRaw: string | number): T | null => {
     const key = toKey(keyRaw)
     if (!key) return null
@@ -664,6 +785,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return cloneAny(keyedStates.value[key] as T)
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 按通用键从缓存或持久化存储加载状态
+   * @returns {*}
+   */
   const loadKeyState = async <T = unknown>(keyRaw: string | number, force = false): Promise<T | null> => {
     const key = toKey(keyRaw)
     if (!key) return null
@@ -725,6 +853,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     }
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 按通用键设置状态并同步版本
+   * @returns {*}
+   */
   const setKeyState = <T = unknown>(
     keyRaw: string | number,
     value: T,
@@ -749,6 +884,7 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
         { force: true, syncKeyState: false }
       )
     }
+
     const htMethodMeta = parseHtFeeMethodStorageKey(key)
     if (htMethodMeta) {
       setHtFeeMethodState(
@@ -769,6 +905,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 按通用键删除状态
+   * @returns {*}
+   */
   const removeKeyState = (keyRaw: string | number) => {
     const key = toKey(keyRaw)
     if (!key) return false
@@ -795,12 +938,26 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return hadValue
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取指定键的版本号
+   * @returns {*}
+   */
   const getKeyVersion = (keyRaw: string | number) => {
     const key = toKey(keyRaw)
     if (!key) return 0
     return keyVersions.value[key] || 0
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取合同咨询服务主表状态
+   * @returns {*}
+   */
   const getContractState = (contractIdRaw: string | number) => {
     const contractId = toKey(contractIdRaw)
     if (!contractId) return null
@@ -808,6 +965,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return data ? cloneState(data) : null
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 从缓存或持久化存储加载合同咨询服务主表状态
+   * @returns {*}
+   */
   const loadContract = async (contractIdRaw: string | number, force = false) => {
     const contractId = toKey(contractIdRaw)
     if (!contractId) return null
@@ -843,6 +1007,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     }
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 设置合同咨询服务主表状态
+   * @returns {*}
+   */
   const setContractState = async (contractIdRaw: string | number, state: ZxFwState) => {
     const contractId = toKey(contractIdRaw)
     if (!contractId) return false
@@ -855,6 +1026,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 更新合同咨询服务行的计价汇总字段
+   * @returns {*}
+   */
   const updatePricingField = async (params: {
     contractId: string
     serviceId: string | number
@@ -900,6 +1078,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return true
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 获取合同咨询服务基础小计
+   * @returns {*}
+   */
   const getBaseSubtotal = (contractIdRaw: string | number): number | null => {
     const contractId = toKey(contractIdRaw)
     if (!contractId) return null
@@ -920,6 +1105,13 @@ export const useZxFwPricingStore = defineStore('zxFwPricing', () => {
     return hasValid ? round3(sum) : null
   }
 
+  /**
+   * @Author: wintsa
+   * @Date: 2026-03-13
+   * @LastEditors: wintsa
+   * @Description: 删除合同关联的咨询服务、附加费用和键状态数据
+   * @returns {*}
+   */
   const removeContractData = (contractIdRaw: string | number) => {
     const contractId = toKey(contractIdRaw)
     if (!contractId) return false
diff --git a/src/sql.ts b/src/sql.ts
index e6d0ed4..2862a66 100644
--- a/src/sql.ts
+++ b/src/sql.ts
@@ -1114,16 +1114,18 @@ async function generateTemplate(data) {
                 }
             });
             let endRows = 1;
-            cusInsertRowFunc(ci.services.length + 3 + endRows, [sheet_1.getRow(3)], sheet_1, (targetRow) => {
-                targetRow.getCell(1).value = ci.services.length + endRows;
-                targetRow.getCell(2).value = '';
-                targetRow.getCell(3).value = '基本、可选工作小计';
-                targetRow.getCell(4).value = numberFormatter(m1Sum, 2);
-                targetRow.getCell(5).value = numberFormatter(m2Sum, 2);
-                targetRow.getCell(6).value = numberFormatter(m3Sum, 2);
-                targetRow.getCell(7).value = numberFormatter(m4Sum, 2);
-                targetRow.getCell(8).value = numberFormatter(serviceSum, 2);
-            });
+            if (ci.services.length) {
+                cusInsertRowFunc(ci.services.length + 3 + endRows, [sheet_1.getRow(3)], sheet_1, (targetRow) => {
+                    targetRow.getCell(1).value = ci.services.length + endRows;
+                    targetRow.getCell(2).value = '';
+                    targetRow.getCell(3).value = '基本、可选工作小计';
+                    targetRow.getCell(4).value = numberFormatter(m1Sum, 2);
+                    targetRow.getCell(5).value = numberFormatter(m2Sum, 2);
+                    targetRow.getCell(6).value = numberFormatter(m3Sum, 2);
+                    targetRow.getCell(7).value = numberFormatter(m4Sum, 2);
+                    targetRow.getCell(8).value = numberFormatter(serviceSum, 2);
+                });
+            }
             if (ci.addtional) {
                 endRows++;
                 cusInsertRowFunc(ci.services.length + 3 + endRows, [sheet_1.getRow(3)], sheet_1, (targetRow) => {
